package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能耗管理统计对象 t_lbnhjstj
 *
 * @author ruoyi
 * @date 2020-12-14
 */
public class TLbnhjstj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date starttime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 班组 */
    @Excel(name = "班组")
    private String team;

    /** 校正节能量(100kgce/班次) */
    @Excel(name = "校正节能量(100kgce/班次)")
    private Long correcenergysaving;

    /** 乙烯产量(吨/班次) */
    @Excel(name = "乙烯产量(吨/班次)")
    private Long ethyleneprocd;

    /** 乙烯能耗(班次) */
    @Excel(name = "乙烯能耗(班次)")
    private Long ethyenergyconsump;

    /** 芳烃产量(吨/班次) */
    @Excel(name = "芳烃产量(吨/班次)")
    private Long btxprocd;

    /** 芳烃能耗(班次) */
    @Excel(name = "芳烃能耗(班次)")
    private Long btxenergyconsump;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 排序字段 */
    private String sortDate;

    /** 排序顺序 */
    private String sortOrder;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setStarttime(Date starttime)
    {
        this.starttime = starttime;
    }

    public Date getStarttime()
    {
        return starttime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setCorrecenergysaving(Long correcenergysaving)
    {
        this.correcenergysaving = correcenergysaving;
    }

    public Long getCorrecenergysaving()
    {
        return correcenergysaving;
    }
    public void setEthyleneprocd(Long ethyleneprocd)
    {
        this.ethyleneprocd = ethyleneprocd;
    }

    public Long getEthyleneprocd()
    {
        return ethyleneprocd;
    }
    public void setEthyenergyconsump(Long ethyenergyconsump)
    {
        this.ethyenergyconsump = ethyenergyconsump;
    }

    public Long getEthyenergyconsump()
    {
        return ethyenergyconsump;
    }
    public void setBtxprocd(Long btxprocd)
    {
        this.btxprocd = btxprocd;
    }

    public Long getBtxprocd()
    {
        return btxprocd;
    }
    public void setBtxenergyconsump(Long btxenergyconsump)
    {
        this.btxenergyconsump = btxenergyconsump;
    }

    public Long getBtxenergyconsump()
    {
        return btxenergyconsump;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setSortOrder(String sortOrder)
    {
        this.sortOrder = sortOrder;
    }

    public String getSortOrder()
    {
        return sortOrder;
    }
    public void setSortDate(String sortDate)
    {
        this.sortDate = sortDate;
    }

    public String getSortDate()
    {
        return sortDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("starttime", getStarttime())
                .append("endtime", getEndtime())
                .append("team", getTeam())
                .append("correcenergysaving", getCorrecenergysaving())
                .append("ethyleneprocd", getEthyleneprocd())
                .append("ethyenergyconsump", getEthyenergyconsump())
                .append("btxprocd", getBtxprocd())
                .append("btxenergyconsump", getBtxenergyconsump())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("remarks", getRemarks())
                .append("deptName", getDeptName())
                .append("sortOrder", getSortOrder())
                .append("sortDate", getSortDate())
                .toString();
    }
}